
ChiliProject - Feature # 304: Add a helper to format user lists

Status: Closed Priority: Normal
Author: Felix Schäfer Category: User interface
Created: 2011-03-24 Assignee:
Updated: 2011-05-19 Due date:
Remote issue URL:
Affected version:
Description: There's currently no central place to define how a user list should look like, having a helper for that would 

make it easier to extend/override how all the user lists are formatted. (example of a user list: 
source:/app/views/projects/_members_box.html.erb#L5)

Associated revisions
2011-05-19 11:48 pm - Felix SchÃ¤fer 
Add a helper to format user lists. #304

History
2011-05-01 07:30 pm - Eric Davis
- Target version changed from 1.3.0 to 1.4.0

Moving incomplete issues to the next release.

2011-05-14 04:11 pm - Felix Schäfer
- Assignee deleted (Felix Schäfer)

- Status changed from Open to Ready for review

I think something like this would be enough, thoughs?

<pre><code class="diff">diff --git a/app/helpers/application_helper.rb b/app/helpers/application_helper.rb
index 67509b2..fc4ef6e 100644
--- a/app/helpers/application_helper.rb
+++ b/app/helpers/application_helper.rb
@@ -60,6 +60,11 @@ module ApplicationHelper
       h(user.to_s)
     end
   end
+  
+  # Show a sorted linkified (if active) comma-joined list of users
+  def list_users(users, options={})
+    users.sort.collect{|u| link_to_user(u, options)}.join(", ")
+  end
 
   # Displays a link to +issue+ with its subject.
   # Examples:</class></pre>

2011-05-19 09:50 pm - Felix Schäfer
- Status changed from Ready for review to Closed

Merged this in commit:6598a44ddde476fb1d5d010fbadf2fdb7db2597e. Existing user lists should be refactored accordingly, see #420.
